Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.javaee5
Class SecurityRoleTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.javaee5.SecurityRoleTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, SecurityRoleType<T>

    public class SecurityRoleTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, SecurityRoleType<T>

This class implements the `security-roleType` xsd type

Original Documentation:

The security-roleType contains the definition of a security
role. The definition consists of an optional description of
the security role, and the security role name.
Example:
This role includes all employees who are authorized
to access the employee service application.
employee

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`SecurityRoleTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`SecurityRoleTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getRoleName()` Returns the `role-name` element
`SecurityRoleType<T>` | `removeAllDescription()` Removes the `description` element
`SecurityRoleType<T>` | `removeRoleName()` Removes the `role-name` element
`SecurityRoleType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`SecurityRoleType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`SecurityRoleType<T>` | `setRoleName(java.lang.String roleName)` If not already created, a new `role-name` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityRoleTypeImpl

    public SecurityRoleTypeImpl(T t,
                                java.lang.String nodeName,
                                org.jboss.shrinkwrap.descriptor.spi.Node node)

### SecurityRoleTypeImpl

    public SecurityRoleTypeImpl(T t,
                                java.lang.String nodeName,
                                org.jboss.shrinkwrap.descriptor.spi.Node node,
                                org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public SecurityRoleType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `SecurityRoleType<T>`
  Returns:
    the current instance of `SecurityRoleType`

### setDescriptionList

    public SecurityRoleType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `SecurityRoleType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `SecurityRoleType`

### removeAllDescription

    public SecurityRoleType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `SecurityRoleType<T>`
  Returns:
    the current instance of `SecurityRoleType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `SecurityRoleType<T>`
  Returns:
    list of `description`

### setRoleName

    public SecurityRoleType<T> setRoleName(java.lang.String roleName)

  If not already created, a new `role-name` element with the given value will be created. Otherwise, the existing `role-name` element will be updated with the given value.

  Specified by:
    `setRoleName` in interface `SecurityRoleType<T>`
  Returns:
    the current instance of `SecurityRoleType`

### removeRoleName

    public SecurityRoleType<T> removeRoleName()

  Removes the `role-name` element

  Specified by:
    `removeRoleName` in interface `SecurityRoleType<T>`
  Returns:
    the current instance of `SecurityRoleType`

### getRoleName

    public java.lang.String getRoleName()

  Returns the `role-name` element

  Specified by:
    `getRoleName` in interface `SecurityRoleType<T>`
  Returns:
    the node defined for the element `role-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD